Skip to content

Get Credentials

GET
/databases/{database_id}/credentials
curl --request GET \
--url https://api.mengi.cloud/databases/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/credentials

Get connection credentials for a database instance.

database_id
required
Database Id
string format: uuid

Successful Response

Media type application/json
DatabaseCredentialsResponse
object
host
Any of:
string
port
Any of:
integer
database
required
Database
string
username
required
Username
string
secret_name
Any of:
string
connection_string
Any of:
string
external_host
Any of:
string
external_connection_string
Any of:
string
Example generated
{
"host": "example",
"port": 1,
"database": "example",
"username": "example",
"secret_name": "example",
"connection_string": "example",
"external_host": "example",
"external_connection_string": "example"
}

Validation Error

Media type application/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Example generated
{
"detail": [
{
"loc": [
"example"
],
"msg": "example",
"type": "example"
}
]
}